package cn.wisenergy.mapper;


import cn.wisenergy.model.app.shopZx;
import cn.wisenergy.model.vo.ShopZxUserVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * Created by m1991 on 2021/2/24 14:50
 */
@Mapper
public interface ShopZxMapper extends BaseMapper<shopZx> {

    /**
     *  添加方法  zxUrl userId   zxName  zxField imgUrl
     * @param
     * @return 1
     */
    int zxadd(@Param("zxUrl") String zxUrl,@Param("zxField") String zxField,@Param("inviteCode") String inviteCode,@Param("zxDate") Long zxDate);

    /**
     * 用户头像上传并更新
     * @param
     * @return
     */
    int zxadd1(@Param("headImage") String headImage,@Param("userId") String userId);

    /**
     * 倒叙查询资讯与用户发布数据
     */
    List<ShopZxUserVo> selectPage(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize);
//
//    /**
//     * 用于查询资讯单表全部信息
//     * @param pageNum
//     * @param pageSize
//     * @return
//     */
//    List<zxUserVo> selectAll(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize);

    /**
     * 点赞接口专用
     */
    shopZx selectByzxid(@Param("zxid") Integer zxid);

    int updateByzxid(@Param("zxid")Integer zxid,@Param("zxLikes") Integer zxLikes);

    /**
     * 资讯审核
     * @param zxid
     * @param ZxToExamine
     * @return
     */
    int updateZxToExaminezxid(@Param("zxid")Integer zxid,@Param("ZxToExamine") Integer ZxToExamine);

    /**
     * 分页查询所有用户信息
     * @param map
     * @return
     */
    List<ShopZxUserVo> getShopZxList(Map<String, Object> map);

    /**
     * 统计总记录数
     * @param map 入参
     * @return 结果
     */
    int count( Map<String, Object> map);
}
